unit Test;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Tcimage, Lrscards, Spin;

type
  TForm1 = class(TForm)
    LrsCards1: TLrsCards;
    RadioButton1: TRadioButton;
    RadioButton2: TRadioButton;
    RadioButton3: TRadioButton;
    RadioButton4: TRadioButton;
    SpinEdit1: TSpinEdit;
    Label1: TLabel;
    SpinEdit2: TSpinEdit;
    Label2: TLabel;
    Label3: TLabel;
    SpinEdit3: TSpinEdit;
    Label4: TLabel;
    CheckBox1: TCheckBox;
    Button1: TButton;
    procedure FormCreate(Sender: TObject);
    procedure RadioButton1Click(Sender: TObject);
    procedure RadioButton2Click(Sender: TObject);
    procedure RadioButton3Click(Sender: TObject);
    procedure RadioButton4Click(Sender: TObject);
    procedure SpinEdit1Change(Sender: TObject);
    procedure SpinEdit2Change(Sender: TObject);
    procedure SpinEdit3Change(Sender: TObject);
    procedure CheckBox1Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
    procedure updateForm;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
   {Sets the component's backolor equ. to
    the form's color}
   LrsCards1.BackColor := Color;
   RadioButton1.Checked := True;
end;

procedure TForm1.UpdateForm;
begin
   case LrsCards1.Suit of
      caClubs  : RadioButton1.Checked := true;
      caHart   : RadioButton2.Checked := true;
      caSpade  : RadioButton3.Checked := true;
      caDiamond: RadioButton4.Checked := true;
   end;
   SpinEdit1.Text := IntToStr(LrsCards1.CardSequence);
   SpinEdit2.Text := IntToStr(Ord(TValue(LrsCards1.Value)));
   SpinEdit3.Text := IntToStr(Ord(TCard(LrsCards1.Card)));
   CheckBox1.Checked := LrsCards1.ShowCardBack;

end;

procedure TForm1.RadioButton1Click(Sender: TObject);
begin
   if RadioButton1.Checked then
      LrsCards1.Suit := caClubs;
   updateForm;
end;

procedure TForm1.RadioButton2Click(Sender: TObject);
begin
   if RadioButton2.Checked then
      LrsCards1.Suit := caHart;
   updateForm;
end;

procedure TForm1.RadioButton3Click(Sender: TObject);
begin
   if RadioButton3.Checked then
      LrsCards1.Suit := caSpade;
   updateForm;
end;

procedure TForm1.RadioButton4Click(Sender: TObject);
begin
   if RadioButton4.Checked then
      LrsCards1.Suit := caDiamond;
   updateForm;
end;

procedure TForm1.SpinEdit1Change(Sender: TObject);
begin
   {Change card with the CardSequence property}
   LrsCards1.CardSequence := StrToInt(SpinEdit1.Text);
   updateForm;
end;

procedure TForm1.SpinEdit2Change(Sender: TObject);
begin
   LrsCards1.Value := TValue(Ord(StrToInt(SpinEdit2.Text)));
   updateForm;
end;

procedure TForm1.SpinEdit3Change(Sender: TObject);
begin
   LrsCards1.Card := TCard(Ord(StrToInt(SpinEdit3.Text)));
   updateForm;
end;

procedure TForm1.CheckBox1Click(Sender: TObject);
begin
   if CheckBox1.Checked then
      LrsCards1.ShowCardBack := true
   else
       LrsCards1.ShowCardBack := false;
   updateForm;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
   LrsCards1.Toggle;
   updateForm;
end;

end.
